Skip to content
Справочник APIConsumerConsumer.devices

Rename a device

Эта страница пока доступна только на английском языке. Руководства переведены; автоматически генерируемый справочник API публикуется на английском.

PATCH
/consumer/v1/devices/{id}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string
Formatuuid

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/consumer/v1/devices/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "addresses": {    "ipv4": "100.101.0.14",    "ipv6": "fd7a:115c:a1e0:efe3::14",    "vspace_id": "44444444-4444-4444-4444-444444444444"  },  "authorization": {    "message": null,    "status": "active"  },  "consumer_account_id": "22222222-2222-2222-2222-222222222222",  "created_at": "2026-04-12T09:45:00Z",  "ephemeral": false,  "id": "55555555-5555-5555-5555-555555555555",  "last_seen_at": "2026-04-12T10:05:00Z",  "machine_key": "AQEBAQEBAQEBAQEBAQEBAQEBAQEBAQEBAQEBAQEBAQE=",  "name": "Georgy's MacBook Pro",  "node_key": "L2M8V1kzY0R0VExzb1E4N2Y1K0xYSk5rV0h6S1I0dz0=",  "node_key_expires_at": null,  "old_node_key": null,  "platform": "macos",  "status": "active",  "tags": [],  "updated_at": "2026-04-12T10:05:00Z",  "user_id": "33333333-3333-3333-3333-333333333333"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}